luc.h File Reference

Classes for the LUC cryptosystem. More...

Go to the source code of this file.

## Classes

class | LUCFunction
| The LUC function. More...
class | InvertibleLUCFunction
| The LUC inverse function. More...
struct | LUC
| LUC cryptosystem. More...
struct | LUCES< STANDARD >
| LUC encryption scheme. More...
struct | LUCSS< STANDARD, H >
| LUC signature scheme with appendix. More...
class | DL_GroupPrecomputation_LUC
| LUC GroupParameters precomputation. More...
class | DL_BasePrecomputation_LUC
| LUC Precomputation. More...
class | DL_GroupParameters_LUC
| LUC GroupParameters specialization. More...
class | DL_GroupParameters_LUC_DefaultSafePrime
| GF(p) group parameters that default to safe primes. More...
class | DL_Algorithm_LUC_HMP
| LUC HMP signature algorithm. More...
struct | DL_SignatureKeys_LUC
| LUC signature keys. More...
struct | LUC_HMP< H >
| LUC-HMP, based on "Digital signature schemes based on Lucas functions" by Patrick Horster, Markus Michels, Holger Petersen. More...
struct | DL_CryptoKeys_LUC
| LUC encryption keys. More...
struct | LUC_IES< HASH, COFACTOR_OPTION, DHAES_MODE, LABEL_OCTETS >
| LUC Integrated Encryption Scheme. More...

## Typedefs

typedef LUCES< OAEP< SHA1 > >::Decryptor | LUCES_OAEP_SHA_Decryptor
typedef LUCES< OAEP< SHA1 > >::Encryptor | LUCES_OAEP_SHA_Encryptor
typedef LUCSS< PKCS1v15, SHA1 >::Signer | LUCSSA_PKCS1v15_SHA_Signer
typedef LUCSS< PKCS1v15, SHA1 >::Verifier | LUCSSA_PKCS1v15_SHA_Verifier
typedef DH_Domain< DL_GroupParameters_LUC_DefaultSafePrime > | LUC_DH
| LUC-DH.

## Detailed Description

Classes for the LUC cryptosystem.

This class is here for historical and pedagogical interest. It has no practical advantages over other trapdoor functions and probably shouldn't be used in production software. The discrete log based LUC schemes defined later in this .h file may be of more practical interest.

Since
  Crypto++ 2.1

Definition in file luc.h.